function OnSceneEnter()
print(self:GetName(), "Scene Enetered")
 --rozpoczecie dialogu przy pierwszym wejsciu
	if s.s03_0207_safe_visit==0 then
		Sleep(500)
		Talk("com_s03_0207_01_hero")
	elseif s.i_leaf_rubber==1 and s.i_drum==1 then
		Talk("com_s03_0207_03_hero")
	end

end